style: gitlab
template: CHANGELOG.tpl.md
info:
  title: CHANGELOG
options:
  commits:
    filters:
      Type:
        - feat
        - fix
        - perf
        - refactor
        - hot-fix
  commit_groups:
    title_maps:
      feat: Features
      fix: Bug Fixes
      hot-fix: Critical Bug Fixes
      perf: Performance Improvements
      refactor: Code Refactoring
  header:
    pattern: "^([\\w\\-]*)(?:\\(([\\w\\$\\.\\-\\/\\*\\s]*)\\))?(?:\\[(.*)\\])?\\:\\s(.*)$"
    pattern_maps:
      - Type
      - Scope
      - JiraIssueID
      - Subject
  notes:
    keywords:
      - BREAKING CHANGE
  jira:
    issue:
      type_maps:
        Bug: fix
        Task: feat
        Story: feat
        Задача: feat
        История: feat
        Баг: fix
